- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_DMXConfigSub Struct Reference

`#include <dmxparse.h>`

## Data Fields
DMXConfigType | type
DMXConfigCommentPtr | comment
DMXConfigDisplayPtr | display
DMXConfigWallPtr | wall
DMXConfigOptionPtr | option
DMXConfigParamPtr | param
struct _DMXConfigSub * | next

## Detailed Description

Stores options under an entry (subentry).

## Field Documentation

DMXConfigCommentPtr _DMXConfigSub::comment

Referenced by dmxConfigCreateSub(), dmxConfigFreeSub(), and dmxConfigPrintSub().

DMXConfigDisplayPtr _DMXConfigSub::display

Referenced by dmxConfigCanvasUpdate(), dmxConfigCopyData(), dmxConfigCopystrings(), dmxConfigCreateSub(), dmxConfigDDCallback(), dmxConfigFindDisplay(), dmxConfigFreeSub(), dmxConfigGetDims(), and dmxConfigPrintSub().

struct _DMXConfigSub* _DMXConfigSub::next

Referenced by dmxConfigAddSub(), dmxConfigCanvasUpdate(), dmxConfigCopyData(), dmxConfigCopystrings(), dmxConfigDDCallback(), dmxConfigFindDisplay(), dmxConfigFreeSub(), dmxConfigGetDims(), and dmxConfigPrintSub().

DMXConfigOptionPtr _DMXConfigSub::option

Referenced by dmxConfigCopyData(), dmxConfigCreateSub(), dmxConfigFreeSub(), and dmxConfigPrintSub().

DMXConfigParamPtr _DMXConfigSub::param

Referenced by dmxConfigCopyData(), dmxConfigCreateSub(), dmxConfigFreeSub(), and dmxConfigPrintSub().

DMXConfigType _DMXConfigSub::type

Referenced by dmxConfigCanvasUpdate(), dmxConfigCopyData(), dmxConfigCopystrings(), dmxConfigCreateSub(), dmxConfigDDCallback(), dmxConfigFindDisplay(), dmxConfigFreeSub(), dmxConfigGetDims(), and dmxConfigPrintSub().

DMXConfigWallPtr _DMXConfigSub::wall

Referenced by dmxConfigCopyData(), dmxConfigCreateSub(), dmxConfigFreeSub(), and dmxConfigPrintSub().

The documentation for this struct was generated from the following file:

- dmxparse.h